import { CategorySeriesDescription } from "./CategorySeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class AnchoredCategorySeriesDescription extends CategorySeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private fh;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private fb;
    get highlightedValueMemberPath(): string;
    set highlightedValueMemberPath(a: string);
    private ff;
    get valueMemberAsLegendLabel(): string;
    set valueMemberAsLegendLabel(a: string);
    private fg;
    get valueMemberAsLegendUnit(): string;
    set valueMemberAsLegendUnit(a: string);
    private fe;
    get trendLineType(): string;
    set trendLineType(a: string);
    private fd;
    get trendLineBrush(): string;
    set trendLineBrush(a: string);
    private e9;
    get actualTrendLineBrush(): string;
    set actualTrendLineBrush(a: string);
    private e5;
    get trendLineThickness(): number;
    set trendLineThickness(a: number);
    private e3;
    get trendLineDashArray(): number[];
    set trendLineDashArray(a: number[]);
    private e7;
    get trendLinePeriod(): number;
    set trendLinePeriod(a: number);
    private fc;
    get markerCollisionAvoidance(): string;
    set markerCollisionAvoidance(a: string);
    private fa;
    get consolidatedItemHitTestBehavior(): string;
    set consolidatedItemHitTestBehavior(a: string);
}
